This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1261804 - Xvnc segmentation fault
Xvnc segmentation fault
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tigervnc (Show other bugs)
6.2
i686 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jan Grulich
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 04:18 EDT by Rob Newton
Modified: 2017-09-14 07:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Newton 2015-09-10 04:18:10 EDT
Description of problem:  Xvnc occasionally segfaulting.

Version-release number of selected component (if applicable):
- tigervnc 1.1.0-16
- pixman 0.32.4-4

How reproducible:  Unsure how to reproduce

Additional info:
The vncserver log file has the following backtrace logged:

(EE) Backtrace:
(EE) 0: /usr/bin/Xvnc (xorg_backtrace+0x59) [0x8205539]
(EE) 1: /usr/bin/Xvnc (0x8048000+0x1c1566) [0x8209566]
(EE) 2: (vdso) (__kernel_rt_sigreturn+0x0) [0x39440c]
(EE) 3: /usr/lib/libpixman-1.so.0 (0x181000+0x51979) [0x1d2979]
(EE) 4: /usr/lib/libpixman-1.so.0 (pixman_rasterize_trapezoid+0x36) [0x1e1ab6]
(EE) 5: /usr/lib/libpixman-1.so.0 (pixman_composite_trapezoids+0x11f) [0x1e1d0f]
(EE) 6: /usr/bin/Xvnc (0x8048000+0x3c2e1) [0x80842e1]
(EE) 7: /usr/bin/Xvnc (CompositeTrapezoids+0xa9) [0x8100a59]
(EE) 8: /usr/bin/Xvnc (0x8048000+0xbeeba) [0x8106eba]
(EE) 9: /usr/bin/Xvnc (0x8048000+0xba545) [0x8102545]
(EE) 10: /usr/bin/Xvnc (Dispatch+0x415) [0x81aef05]
(EE) 11: /usr/bin/Xvnc (dix_main+0x39a) [0x81b2cea]
(EE) 12: /usr/bin/Xvnc (main+0x2f) [0x815c8af]
(EE) 13: /lib/i686/nosegneg/libc.so.6 (__libc_start_main+0xe6) [0x8f5ce6]
(EE) 14: /usr/bin/Xvnc (0x8048000+0x385f1) [0x80805f1]
(EE) 
(EE) Segmentation fault at address 0x0
(EE) 
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting
Comment 2 Jan Grulich 2016-09-12 06:41:08 EDT
I guess this is a duplicate of bug 1309445.
Comment 3 Jan Grulich 2016-10-18 05:45:13 EDT
Please re-test with RHEL 6.8 (including newer tigervnc and xorg-server). Also install tigervnc-debuginfo package to get a better backtrace.
Comment 4 Jan Grulich 2017-01-16 08:14:01 EST
Useless backtrace, will be probably fixed by doing rebase.
Comment 5 Jan Grulich 2017-01-19 08:48:41 EST
Sorry I was wrong, there won't be any rebase in RHEL 6, I thought this bug is for RHEL 7.

Note You need to log in before you can comment on or make changes to this bug.